WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Class StraddleStrategyPayoff

    java.lang.Object
      |
      +--webcab.lib.finance.options.exotic.StrangleStrategyPayoff
            |
            +--webcab.lib.finance.options.exotic.StraddleStrategyPayoff

All Implemented Interfaces:
  PayoffFunction, Serializable

public class StraddleStrategyPayoff
extends StrangleStrategyPayoff
implements PayoffFunction

This class gives an implementation of PayoffFunction for a standard straddle option strategy. The portfolio consists of one call and one put option with equal strike prices.

See Also:
  Serialized Form

Constructor Summary
`StraddleStrategyPayoff(int long_short, double common_strike_price)` Creates new StraddleStrategyPayoff function.

Methods inherited from class webcab.lib.finance.options.exotic.StrangleStrategyPayoff
`getValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface webcab.lib.finance.options.exotic.PayoffFunction
`getValueAt`

Constructor Detail

### StraddleStrategyPayoff

    public StraddleStrategyPayoff(int long_short,
                                  double common_strike_price)
                           throws Exception

  Creates new StraddleStrategyPayoff function.

Parameters:
  `long_short` - Set this parameter to ExoticOptionsConstants..LONG or ExoticOptionsConstants..SHORT (LONG - means that you are the buyer of the strategy; SHORT means that you are the writer for the strategy).

WebCab Options and Futures Demo v2.5 (J2SE Edition)